OpenAPI specification (JSON) — from disk when build has emitted it
curl --request GET \
--url https://api.idunox.com/openapi.jsonimport requests
url = "https://api.idunox.com/openapi.json"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.idunox.com/openapi.json', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}Endpoints
OpenAPI specification
Download the machine-readable OpenAPI 3.1.0 contract for the Idunox Platform API.
GET
/
openapi.json
OpenAPI specification (JSON) — from disk when build has emitted it
curl --request GET \
--url https://api.idunox.com/openapi.jsonimport requests
url = "https://api.idunox.com/openapi.json"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.idunox.com/openapi.json', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}Returns the full OpenAPI 3.1.0 specification for the Idunox Platform API. No authentication required.
Use the specification to generate client SDKs or import into API testing tools.
| Format | Path |
|---|---|
| JSON | GET /openapi.json |
| YAML | GET /openapi.yaml |
Example requests
curl https://api.idunox.com/openapi.json
curl https://api.idunox.com/openapi.yaml
Headers
Optional; echoed when possible. Server generates when absent.
Response
200 - application/json
OpenAPI 3.1.0 document (JSON object)
OpenAPI document